import request from '@/utils/request'

// 查询商业计划书列表
export function listBusinessPlan(query) {
  return request({
    url: '/study/businessPlan/list',
    method: 'get',
    params: query
  })
}

// 查询商业计划书详细
export function getBusinessPlan(id) {
  return request({
    url: '/study/businessPlan/' + id,
    method: 'get'
  })
}

// 新增商业计划书
export function addBusinessPlan(data) {
  return request({
    url: '/study/businessPlan',
    method: 'post',
    data: data
  })
}

// 修改商业计划书
export function updateBusinessPlan(data) {
  return request({
    url: '/study/businessPlan',
    method: 'put',
    data: data
  })
}

// 删除商业计划书
export function delBusinessPlan(id) {
  return request({
    url: '/study/businessPlan/' + id,
    method: 'delete'
  })
}
